#include <stdio.h>
#include <avr/io.h>
#include <util/delay.h>
#include <stdbool.h>

#include "spi.h"

/* Control and data bit defines */
#define SPI_PORT   PORTB
#define SPI_DDR    DDRB
#define SPI_RS     PB1
#define SPI_SS     PB2
#define SPI_MOSI   PB3
#define SPI_MISO   PB4
#define SPI_SCK    PB5
#define RESET_PORT PORTD
#define RESET_DDR  DDRD
#define RESET_PIN  PD2

/* Forward declarations */
void lcd_init();
void lcd_set_cursor( uint8_t pos );
void lcd_clear_home();
void lcd_showchar( char c );

int lcd_putchar( char c, FILE* unused );
